campagne:
  titre: "Question QCM, pas de compte"
  adminFamille: "Module jeu avancé"
  description: "Dossier :  nom, prénom, email, acceptation règlement + question <br/>Pas de compte joueur<br/>"
  is_disponible: true
  configuration:
    has_participant: false
    has_tirage: true
    participation_init:
      setActeur: AUCUN
    notes:
      mini_lock_fe: 100
      maxi_purgek: 59
    include_commons: [20.tirage-std.yml, 90.sys_cms.yml]
  etapes:
    fe_home:
      action: dossier
      etape: coordonnees
      route: fe_home
    coordonnees:
      type: dossier
      route: fe_dossier
      desc: saisie email, nom, prénom
      init:
        requis:
          participation:
            getIsDossierLocked: false
        sinon: creerParticipation
      lignes:
        5:
          type: text
          key: titre
          value: Participer
          css: titre
          tag: h1
        30:
          type: form
          key: email
          note: 20
          label: "Pour participer, veuillez saisir votre email ci-dessous:"
          form_config: {}
          form_validation:
            NotNull: ~
            Email: ~
        40:
          type: form
          key: nom
          note: 20
          label: "Nom"
          form_config: {}
          form_validation:
            NotBlank: ~
        50:
          type: form
          key: prenom
          note: 10
          label: "Prénom"
          form_config: {}
          form_validation:
            NotBlank: ~
        59:
          type: reglement-btn
          key: reglement
          value: Règlement du jeu
          css: d-none
        60:
          type: form
          key: isAccepte
          note: 10
          label: ""
          form_config:
            "label": "J'accepte le règlement du jeu <small>(obligatoire)</small>"
          form_validation:
            IsTrue:
              message: Vous devez accepter le règlement
        80:
          type: form
          key: isAccepte
          note: 1
          label: ""
          form_config:
            label: 'J''ai pris connaissance <br/> <a href="#" onclick="window.open(document.getElementById(''reglement-btn-reglement'').href);return false;">du règlement</a> et je l''accepte <small>(obligatoire)</small>'
          form_validation:
            IsTrue: { message: "Vous devez confirmer" }
        90:
          type: form
          key: isAccepte2
          note: 1
          label: ""
          form_config:
            label: 'J''ai pris connaissance de l''information relative à la «<a href="javascript:void(0)" data-toggle="modal" data-target="#modalPddp">protection des données personnelles</a>»'
          form_validation:
            IsTrue: { message: "Vous devez confirmer" }
        100:
          type: submit
          key: btnsubmit
          value: Valider
          css: btn btn-ok
      etapes_suivantes:
        ok: qcm
    qcm:
      type: dossier
      route: fe_dossier
      desc: question qcm
      init:
#        preaction: [tirage]
        requis:
          participation:
            getIsDossierLocked: false
        sinon: fe_home
      lignes:
        60:
          type: form
          key: extraQcm1
          note: 50
          label: "Quel est le truc ?"
          form_choices: {}
          # On ne peut pas mettre les choix dans le scénarion de base ... sinon ils restent
          #          form_choices : { "Choix 1 gagnant" : "", "Choix 2 faux" : "perdant", "Choix 3 gagnant" : "" }
          form_config: { "label": "Quel est le truc ?" }
          form_validation:
            NotBlank: ~
        100:
          type: submit
          key: btnsubmit
          value: Suivant
          css: btn btn-ok pull-right
      etapes_suivantes:
        ok: lock_participation
    lock_participation:
      type: redirect
      route: fe_lock_participation
      desc: tirage + coordonnées (si livraison physique) + validation de la participation et redirection
      lignes:
        10:
          type: cms
          key: coordonnees_physique
          default: "Veuillez compléter vos coordonnées afin que nous puissions vous faire parvenir votre lot.<br/><br/>"
        30:
          type: form
          key: nom
          label: "Nom"
          form_config: {}
          form_validation:
            NotNull: ~
        40:
          type: form
          key: prenom
          label: "Prénom"
          form_config: {}
          form_validation:
            NotNull: ~
        50:
          type: form
          key: adr1
          label: "Adresse"
          form_config: {}
          form_validation:
            NotNull: ~
        60:
          type: form
          key: adr2
          label: "Complément"
          form_config: {}
        70:
          type: form
          key: cp
          label: "Code postal"
          form_config: {}
          form_validation:
            NotNull: ~
        80:
          type: form
          key: ville
          label: "Ville"
          form_config: {}
          form_validation:
            NotNull: ~
        100:
          type: submit
          key: btnsubmit
          value: Valider
          css: btn btn-ok pull-right
      init:
        requis:
          participation:
            getIsDossierLocked: false
        sinon: fe_home
      etapes_suivantes:
        perdant: perdant
        gagnant: gagnant
        tirage_impossible: tirage_impossible
